Listar um envio por usuário

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/direct-message-user

De acordo com o filtro informado, esta requisição retorna informações sobre um envio ativo por usuário da base.

application/json

Body Required

pageRequest

  • conditions array[object] Required
    Hide conditions attributes Show conditions attributes object
    • key string
    • value string
    • operator string

      Values are EQ, EQNUM, NEQ, NEQNUM, IS_FALSE, IS_TRUE, LIKE, NOT_LIKE, IN, NOT_IN, IS_NULL, NOT_NULL, BEFORE, or AFTER.

    • logic string

      Values are AND or OR.

    • or array[object]
    • and array[object]
    • conditions array[object]
  • direction string

    Values are ASC or DESC.

  • page integer(int32)
  • sort boolean Required
  • sortColumn string
  • size integer(int32)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • page integer(int32) Required
    • results array[object]
      Hide results attributes Show results attributes object
      • additionalInfo string
      • agentId integer(int64)
      • broadcastListId integer(int64)
      • callback string
      • campaignName string
      • channel string
      • createdAt string(date-time)
      • createdBy string
      • description string
      • dispatchId integer(int64)
      • email string
      • executionId integer(int64)
      • generatedSession boolean
      • groupConfId integer(int64)
      • groupName string
      • hsmTemplate integer(int64)
      • id integer(int64)
      • message string
      • phoneNumber string
      • recipientId string
      • resend boolean
      • sendGroupConfId integer(int64)
      • sendTimestamp string
      • senderUserId integer(int64)
      • sentAt string(date-time)
      • sessionId integer(int64)
      • status string
      • subject string
      • updatedAt string(date-time)
      • user object
        Hide user attributes Show user attributes object
        • accessKey string
        • active boolean
        • agent object
          Hide agent attributes Show agent attributes object
          • agentAllHistory boolean
          • agentAllHistoryOperation boolean
          • agentAttendSimple boolean
          • agentToken string
          • agentViewPhone boolean
          • attendanceServiceChannel string
          • audioOn boolean
          • createdAt string(date-time)
          • createdBy string
          • department string
          • extensionAttendance string
          • id integer(int64)
          • loginAttendance string
          • maxChatChannels integer(int64)
          • passwordAttendance string
          • pauseOnReceiveCall boolean
          • socialToken string
          • status string
          • superAgent boolean
          • updatedAt string(date-time)
          • updatedBy string
          • user object
          • virtualAgent boolean
        • birthDate string(date-time)
        • company object
          Hide company attributes Show company attributes object
          • active boolean
          • address string
          • cep string
          • city string
          • cnpj string
          • companyName string
          • complement string
          • contractSignature integer(int64)
          • country string
          • createdAt string(date-time)
          • createdBy string
          • dateEndPilot string(date-time)
          • defaultLocale string
          • email string
          • groupCompany object
            Hide groupCompany attributes Show groupCompany attributes object
            • active boolean
            • companyName string Required
            • createdAt string(date-time)
            • createdBy string
            • id integer(int64)
            • updatedAt string(date-time)
            • updatedBy string
          • id integer(int64)
          • nameContact string
          • neighborhood string
          • number string
          • phoneContact string
          • sgemnet string
          • site string
          • sku string
          • state string
          • stateRegistration string
          • timeHistory integer(int64)
          • tradeName string
          • updatedAt string(date-time)
          • updatedBy string
        • country string
        • cpf string
        • createdAt string(date-time)
        • createdBy string
        • createdFromSurvey boolean
        • defaultLocale string
        • displayName string
        • email string
        • externalCode string
        • firstAccess boolean
        • firstLogin string(date-time)
        • formal boolean
        • id integer(int64)
        • lastLogin string(date-time)
        • name string
        • operation string
        • originUser string
        • phone string
        • priority integer(int64)
        • profile object
          Hide profile attributes Show profile attributes object
          • createdAt string(date-time)
          • createdBy string
          • id integer(int64)
          • name string
          • typeUser string
          • updatedAt string(date-time)
          • updatedBy string
          • visible boolean
        • ticketUserId integer(int64)
        • tm2 boolean
        • typeUser string
        • updatedAt string(date-time)
        • updatedBy string
        • userName string
        • usingMFA boolean
        • visible boolean
        • password string
      • userId integer(int64)
    • size integer(int32)
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/direct-message-user
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/direct-message-user' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"conditions":[{"key":"string","value":"string","operator":"EQ","logic":"AND","or":[{}],"and":[{}],"conditions":[{}]}],"direction":"ASC","page":42,"sort":true,"sortColumn":"string","size":42}'
Request examples
{
  "conditions": [
    {
      "key": "string",
      "value": "string",
      "operator": "EQ",
      "logic": "AND",
      "or": [
        {}
      ],
      "and": [
        {}
      ],
      "conditions": [
        {}
      ]
    }
  ],
  "direction": "ASC",
  "page": 42,
  "sort": true,
  "sortColumn": "string",
  "size": 42
}
Response examples (200)
{
  "page": 42,
  "results": [
    {
      "additionalInfo": "string",
      "agentId": 42,
      "broadcastListId": 42,
      "callback": "string",
      "campaignName": "string",
      "channel": "string",
      "createdAt": "2026-05-04T09:42:00Z",
      "createdBy": "string",
      "description": "string",
      "dispatchId": 42,
      "email": "string",
      "executionId": 42,
      "generatedSession": true,
      "groupConfId": 42,
      "groupName": "string",
      "hsmTemplate": 42,
      "id": 42,
      "message": "string",
      "phoneNumber": "string",
      "recipientId": "string",
      "resend": true,
      "sendGroupConfId": 42,
      "sendTimestamp": "string",
      "senderUserId": 42,
      "sentAt": "2026-05-04T09:42:00Z",
      "sessionId": 42,
      "status": "string",
      "subject": "string",
      "updatedAt": "2026-05-04T09:42:00Z",
      "user": {
        "accessKey": "string",
        "active": true,
        "agent": {
          "agentAllHistory": true,
          "agentAllHistoryOperation": true,
          "agentAttendSimple": true,
          "agentToken": "string",
          "agentViewPhone": true,
          "attendanceServiceChannel": "string",
          "audioOn": true,
          "createdAt": "2026-05-04T09:42:00Z",
          "createdBy": "string",
          "department": "string",
          "extensionAttendance": "string",
          "id": 42,
          "loginAttendance": "string",
          "maxChatChannels": 42,
          "passwordAttendance": "string",
          "pauseOnReceiveCall": true,
          "socialToken": "string",
          "status": "string",
          "superAgent": true,
          "updatedAt": "2026-05-04T09:42:00Z",
          "updatedBy": "string",
          "user": {},
          "virtualAgent": true
        },
        "birthDate": "2026-05-04T09:42:00Z",
        "company": {
          "active": true,
          "address": "string",
          "cep": "string",
          "city": "string",
          "cnpj": "string",
          "companyName": "string",
          "complement": "string",
          "contractSignature": 42,
          "country": "string",
          "createdAt": "2026-05-04T09:42:00Z",
          "createdBy": "string",
          "dateEndPilot": "2026-05-04T09:42:00Z",
          "defaultLocale": "string",
          "email": "string",
          "groupCompany": {
            "active": true,
            "companyName": "string",
            "createdAt": "2026-05-04T09:42:00Z",
            "createdBy": "string",
            "id": 42,
            "updatedAt": "2026-05-04T09:42:00Z",
            "updatedBy": "string"
          },
          "id": 42,
          "nameContact": "string",
          "neighborhood": "string",
          "number": "string",
          "phoneContact": "string",
          "sgemnet": "string",
          "site": "string",
          "sku": "string",
          "state": "string",
          "stateRegistration": "string",
          "timeHistory": 42,
          "tradeName": "string",
          "updatedAt": "2026-05-04T09:42:00Z",
          "updatedBy": "string"
        },
        "country": "string",
        "cpf": "string",
        "createdAt": "2026-05-04T09:42:00Z",
        "createdBy": "string",
        "createdFromSurvey": true,
        "defaultLocale": "string",
        "displayName": "string",
        "email": "string",
        "externalCode": "string",
        "firstAccess": true,
        "firstLogin": "2026-05-04T09:42:00Z",
        "formal": true,
        "id": 42,
        "lastLogin": "2026-05-04T09:42:00Z",
        "name": "string",
        "operation": "string",
        "originUser": "string",
        "phone": "string",
        "priority": 42,
        "profile": {
          "createdAt": "2026-05-04T09:42:00Z",
          "createdBy": "string",
          "id": 42,
          "name": "string",
          "typeUser": "string",
          "updatedAt": "2026-05-04T09:42:00Z",
          "updatedBy": "string",
          "visible": true
        },
        "ticketUserId": 42,
        "tm2": true,
        "typeUser": "string",
        "updatedAt": "2026-05-04T09:42:00Z",
        "updatedBy": "string",
        "userName": "string",
        "usingMFA": true,
        "visible": true,
        "password": "string"
      },
      "userId": 42
    }
  ],
  "size": 42
}